#
# spec file for package intel-e1000 (Version 8.0.19)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcap libcom_err libgcc libmudflap libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-certs pam pam-modules patch pciutils-ids perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           intel-e1000
Summary:        Intel(R) PRO/1000 driver for Linux
Version:        8.0.19
Release:        1
Source0:        %{name}-%{version}.tar.gz
Source1:        preamble
License:        GPL v2 or later
Group:          System/Kernel
Url:            http://support.intel.com/support/go/linux/e1000.htm
BuildRequires:  kernel-source kernel-syms module-init-tools pciutils-ids
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um -p %_sourcedir/preamble

%description
This package contains the Linux driver for the Intel(R) PRO/1000 Family
of Server Adapters



Authors:
--------
    Philip Oswald

%package KMP
License:        GPL v2 or later
Summary:        Intel(R) PRO/1000 driver for Linux
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Intel(R) PRO/1000 Family
of Server Adapters



Authors:
--------
    Philip Oswald

%prep
%setup
set -- *
mv src source
echo "e1000.ko external" > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

mkdir -p $RPM_BUILD_ROOT/usr/share/pci.ids.d
install -D -m 644 pci.updates $RPM_BUILD_ROOT/usr/share/pci.ids.d/pci.ids.intel-e1000-%{version}

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man7
install -m 644 -D e1000.7 $RPM_BUILD_ROOT/%{_mandir}/man7
gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man?/*.?

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_mandir}/man7/e1000.7.gz
/usr/share/pci.ids.d/pci.ids.intel-e1000-%{version}
%doc COPYING 
%doc README

%post 
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi

%postun
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi
%changelog
* Thu Mar 25 2010 - poswald@novell.com
-Initial build of the e1000 package v8.0.19
